%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 0
%define api 0.1
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} %{api} -d

Summary:	Dynamic, any to any, pixel format conversion library
Name:		babl
Epoch:		1
Version:	0.1.44
Release:	1
Group:		System/Libraries
License:	LGPLv3+
Url:		http://www.gegl.org/babl
Source0:	http://ftp.gimp.org/pub/babl/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	librsvg

%description
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

#-----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for %{name}
Group:		System/Libraries

%description -n %{libname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

%files -n %{libname}
%doc README NEWS TODO AUTHORS
%{_libdir}/libbabl-%{api}.so.%{major}*
%dir %{_libdir}/babl-%{api}/
%{_libdir}/babl-%{api}/*.so

#-----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

%files -n %{devname}
%doc installed-docs/*
%{_libdir}/libbabl-%{api}.so
%{_libdir}/pkgconfig/babl.pc
%dir %{_includedir}/babl-%{api}/babl
%{_includedir}/babl-%{api}/babl/*

#---------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std
cp -r docs installed-docs
cd installed-docs
rm -rf tools Makefile* *.in graphics/Makefile*

%changelog

* Wed Mar 14 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:0.1.44-1
- (d3cf164) New version 0.1.44


